{
    onDamagingHit(damage, target, source, move) {
        if (move.type === "Water") {
            this.boost({ def: 2 });
        }
    },
    onSourceModifyAtkPriority: 5,
    onSourceModifyAtk(atk, attacker, defender, move) {
        if (move.type === "Water") {
            return this.chainModify(0);
        }
    },
    onSourceModifySpAPriority: 5,
    onSourceModifySpA(atk, attacker, defender, move) {
        if (move.type === "Water") {
            return this.chainModify(0);
        }
    },
    flags: {},
    name: "Water Compaction",
    rating: 1.5,
    num: 195
}
